- Qt 5.15
- Qt SQL
- C++ Classes
- QSqlDriverCreatorBase
- Qt 5.15.19 Reference Documentation

# QSqlDriverCreatorBase Class

The QSqlDriverCreatorBase class is the base class for SQL driver factories. More...

Header: | #include <QSqlDriverCreatorBase>
qmake: | QT += sql
Inherited By: | QSqlDriverCreator

- List of all members, including inherited members

## Public Functions

virtual | ~QSqlDriverCreatorBase()
virtual QSqlDriver * | createObject() const = 0

## Detailed Description

Reimplement createObject() to return an instance of the specific QSqlDriver subclass that you want to provide.

See QSqlDatabase::registerSqlDriver() for details.

See also QSqlDriverCreator.

## Member Function Documentation

### `[virtual]` QSqlDriverCreatorBase::~QSqlDriverCreatorBase()

Destroys the SQL driver creator object.

### `[pure virtual]` QSqlDriver *QSqlDriverCreatorBase::createObject() const

Reimplement this function to returns a new instance of a QSqlDriver subclass.